Skip to main content
REST API reference

Retrieve software or firmware download status

Checks the progress of software or firmware downloads to monitor and verify the current status of these downloads.

HTTP method and endpoint

GET /cluster/software/download

Introduced in

ONTAP 9.7

Usage notes

Retrieves the software or firmware download status.

  • cluster image package check-download-progress

Parameters

Name Type In Required Description

fields

array[string]

query

False

Specify the fields to return.

return_timeout

integer

query

False

The number of seconds to allow the call to execute before returning. When iterating over a collection, the default is 15 seconds. ONTAP returns earlier if either max records or the end of the collection is reached.

  • Default value: 15

  • Max value: 120

  • Min value: 0

Response

Status: 200, Ok
Name Type Description

code

integer

Code returned corresponds to a download message

message

string

Download progress details

state

string

Download status of the package

Example response
{
  "code": 10551382,
  "message": "Package download in progress",
  "state": "success"
}

Error

Status: Default

ONTAP Error Response Codes

Error Code Description

10551382

Package download is still running.

10551383

Operation took longer than the maximum 1 hour time limit.

Also see the table of common errors in the Response body overview section of this documentation.

Name Type Description

error

returned_error

Example error
{
  "error": {
    "arguments": [
      {
        "code": "string",
        "message": "string"
      }
    ],
    "code": "4",
    "message": "entry doesn't exist",
    "target": "uuid"
  }
}

Definitions

See Definitions

error_arguments

Name Type Description

code

string

Argument code

message

string

Message argument

returned_error

Name Type Description

arguments

array[error_arguments]

Message arguments

code

string

Error code

message

string

Error message

target

string

The target parameter that caused the error.